com.pivotal.gemfirexd.internal.client.am

## Class Configuration

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Configuration

    public class Configuration
    extends Object

### Field Summary

Fields
`static String` `cursorAttribute_ForReadOnly`
`static String` `cursorAttribute_ForUpdate`
`static String` `cursorAttribute_Insensitive`
`static String` `cursorAttribute_InsensitiveRowset`
`static String` `cursorAttribute_SensitiveDynamic`
`static String` `cursorAttribute_SensitiveDynamicRowset`
`static String` `cursorAttribute_SensitiveStatic`
`static String` `cursorAttribute_SensitiveStaticRowset`
`static String` `cursorAttribute_WithHold`
`static int` `defaultFetchSize`
`static int` `defaultIsolation`
`static String[]` `dncCompatibleJREVersions`
`static String` `dncDriverName`
`static byte[]` `dncPackageConsistencyToken`
`static String` `dncPackageVersion`
`static com.pivotal.gemfirexd.internal.iapi.services.info.ProductVersionHolder` `dncProductVersionHolder__`
`static boolean[]` `enableConnectivityToTargetServer__`
`static boolean` `enableNetConnectionPooling`
`static SqlException` `exceptionsOnLoadResources`
`static boolean` `jdbcCompliant`
`static String` `jdbcDerbyNETProtocol`
`static String` `jdbcSnappyNETProtocol`
`static String` `jreLevel`
`static int` `jreLevelMajor`
`static int` `jreLevelMinor`
`static boolean` `jvmSupportsMicrosClock__`
`static String` `traceDirectory__`
`static String` `traceFile__`
`static boolean` `traceFileAppend__`
`static int` `traceFileSuffixIndex__`
`static int` `traceLevel__`
`static boolean` `traceSuspended__`

### Method Summary

Methods
`static com.pivotal.gemfirexd.internal.iapi.services.info.ProductVersionHolder` `getProductVersionHolder()`
`static boolean` `supportsJDBC40()` Check to see if the jvm version is such that JDBC 4.0 is supported

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### traceFileSuffixIndex__

    public static int traceFileSuffixIndex__

#### traceLevel__

    public static int traceLevel__

#### traceFile__

    public static String traceFile__

#### traceDirectory__

    public static String traceDirectory__

#### traceFileAppend__

    public static boolean traceFileAppend__

#### jreLevel

    public static String jreLevel

#### jreLevelMajor

    public static int jreLevelMajor

#### jreLevelMinor

    public static int jreLevelMinor

#### traceSuspended__

    public static boolean traceSuspended__

#### enableConnectivityToTargetServer__

    public static boolean[] enableConnectivityToTargetServer__

#### jvmSupportsMicrosClock__

    public static boolean jvmSupportsMicrosClock__

#### dncProductVersionHolder__

    public static com.pivotal.gemfirexd.internal.iapi.services.info.ProductVersionHolder dncProductVersionHolder__

#### dncDriverName

    public static final String dncDriverName

See Also:
  Constant Field Values

#### dncPackageConsistencyToken

    public static final byte[] dncPackageConsistencyToken

#### dncPackageVersion

    public static String dncPackageVersion

#### jdbcCompliant

    public static final boolean jdbcCompliant

See Also:
  Constant Field Values

#### dncCompatibleJREVersions

    public static final String[] dncCompatibleJREVersions

#### jdbcDerbyNETProtocol

    public static final String jdbcDerbyNETProtocol

#### jdbcSnappyNETProtocol

    public static final String jdbcSnappyNETProtocol

#### enableNetConnectionPooling

    public static final boolean enableNetConnectionPooling

See Also:
  Constant Field Values

#### defaultIsolation

    public static final int defaultIsolation

See Also:
  Constant Field Values

#### defaultFetchSize

    public static final int defaultFetchSize

See Also:
  Constant Field Values

#### cursorAttribute_SensitiveStatic

    public static final String cursorAttribute_SensitiveStatic

See Also:
  Constant Field Values

#### cursorAttribute_SensitiveStaticRowset

    public static final String cursorAttribute_SensitiveStaticRowset

See Also:
  Constant Field Values

#### cursorAttribute_SensitiveDynamic

    public static final String cursorAttribute_SensitiveDynamic

See Also:
  Constant Field Values

#### cursorAttribute_SensitiveDynamicRowset

    public static final String cursorAttribute_SensitiveDynamicRowset

See Also:
  Constant Field Values

#### cursorAttribute_Insensitive

    public static final String cursorAttribute_Insensitive

See Also:
  Constant Field Values

#### cursorAttribute_InsensitiveRowset

    public static final String cursorAttribute_InsensitiveRowset

See Also:
  Constant Field Values

#### cursorAttribute_ForUpdate

    public static final String cursorAttribute_ForUpdate

See Also:
  Constant Field Values

#### cursorAttribute_ForReadOnly

    public static final String cursorAttribute_ForReadOnly

See Also:
  Constant Field Values

#### cursorAttribute_WithHold

    public static final String cursorAttribute_WithHold

See Also:
  Constant Field Values

#### exceptionsOnLoadResources

    public static SqlException exceptionsOnLoadResources

### Method Detail

#### getProductVersionHolder

    public static com.pivotal.gemfirexd.internal.iapi.services.info.ProductVersionHolder getProductVersionHolder()

#### supportsJDBC40

    public static boolean supportsJDBC40()

Check to see if the jvm version is such that JDBC 4.0 is supported